# Docs For Class LAMCfgMain

configuration

# Class: LAMCfgMain

Source Location: /lib/config.inc

### Class Overview

This class manages config.cfg.

### Variables

- $allowedHosts
- $default
- $logDestination
- $logLevel
- $password
- $sessionTimeout

### Methods

- LAMCfgMain
- save

### Class Details

[line 843]
This class manages config.cfg.
[ Top ]

### Class Variables

#### $allowedHosts =

[line 861]

list of hosts which may access LAM

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $default =

[line 846]

Default profile

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $logDestination =

[line 858]

log destination ("SYSLOG":syslog, "/...":file, "NONE":none)

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $logLevel =

[line 855]

log level

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $password =

[line 849]

Password to change config.cfg

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $sessionTimeout =

[line 852]

Time of inactivity before session times out (minutes)

#### Tags:

access: | public

Type: | mixed

[ Top ]

### Class Methods

### constructor LAMCfgMain [line 870]

`LAMCfgMain LAMCfgMain( )`

Loads preferences from config file
[ Top ]

### method save [line 911]

`void save( )`

Saves preferences to config file config.cfg

#### Tags:

access: | public

[ Top ]

Documentation generated on Sun, 04 Nov 2007 12:10:41 +0100 by phpDocumentor 1.4.0